Package pygccxml :: Package parser :: Module project_reader

# Module project_reader

source code

Classes
COMPILATION_MODE
file_configuration_t file_configuration_t - a class, that contains some data and description how to treat the data.
project_reader_t Parses header files and returns the contained declarations.

Functions

create_text_fc(text) Creates file_configuration_t instance, configured to contain Python string, that contains valid C++ code | source code

create_source_fc(header) Creates file_configuration_t instance, configured to contain path to C++ source file | source code

create_gccxml_fc(xml_file) Creates file_configuration_t instance, configured to contain path to GCC-XML generated XML file. | source code

create_cached_source_fc(header, cached_source_file) Creates file_configuration_t instance, configured to contain path to GCC-XML generated XML file and C++ source file. | source code

Function Details

### create_text_fc(text)

source code

Creates file_configuration_t instance, configured to contain Python string, that contains valid C++ code

Parameters:
  - `text` (str) - C++ code
Returns:
  file_configuration_t

### create_source_fc(header)

source code

Creates file_configuration_t instance, configured to contain path to C++ source file

Parameters:
  - `header` (str) - path to C++ source file
Returns:
  file_configuration_t

### create_gccxml_fc(xml_file)

source code

Creates file_configuration_t instance, configured to contain path to GCC-XML generated XML file.

Parameters:
  - `xml_file` (str) - path to GCC-XML generated XML file
Returns:
  file_configuration_t

### create_cached_source_fc(header, cached_source_file)

source code

Creates file_configuration_t instance, configured to contain path to GCC-XML generated XML file and C++ source file. If XML file does not exists, it will be created and used for parsing. If XML file exists, it will be used for parsing.

Parameters:
  - `header` (str) - path to C++ source file
  - `cached_source_file` (str) - path to GCC-XML generated XML file
Returns:
  file_configuration_t